# Uses of Interface
org.opensaml.xacml.policy.DefaultsType

Packages that use DefaultsType
Package
Description
org.opensaml.xacml.policy
XMLObject interfaces for XACML policy schema.
org.opensaml.xacml.policy.impl
XMLObject provider implementation classes for XACML policy schema.

## Uses of DefaultsType in org.opensaml.xacml.policy

Methods in org.opensaml.xacml.policy that return DefaultsType
Modifier and Type
Method
Description
`DefaultsType`
PolicyType.`getPolicyDefaults()`
Gets the defaults for this policy.
`DefaultsType`
PolicySetType.`getPolicySetDefaults()`
Gets the defaults for this policy set.
Methods in org.opensaml.xacml.policy with parameters of type DefaultsType
Modifier and Type
Method
Description
`void`
PolicyType.`setPolicyDefaults(DefaultsType defaults)`
Sets the defaults for this policy.
`void`
PolicySetType.`setPolicySetDefaults(DefaultsType defaults)`
Sets the defaults for this policy set.

## Uses of DefaultsType in org.opensaml.xacml.policy.impl

Classes in org.opensaml.xacml.policy.impl that implement DefaultsType
Modifier and Type
Class
Description
`class`
`DefaultsTypeImpl`
Implementation for `DefaultsType`.
Fields in org.opensaml.xacml.policy.impl declared as DefaultsType
Modifier and Type
Field
Description
`private DefaultsType`
PolicyTypeImpl.`policyDefaults`
Policy defaults.
`private DefaultsType`
PolicySetTypeImpl.`policySetDefaults`
Policy set defaults.
Methods in org.opensaml.xacml.policy.impl that return DefaultsType
Modifier and Type
Method
Description
`DefaultsType`
DefaultsTypeImplBuilder.`buildObject()`
Builds a XACMLObject using the default name and namespace information provided XACML specifications.
`DefaultsType`
DefaultsTypeImplBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`DefaultsType`
PolicyTypeImpl.`getPolicyDefaults()`
Gets the defaults for this policy.
`DefaultsType`
PolicySetTypeImpl.`getPolicySetDefaults()`
Gets the defaults for this policy set.
Methods in org.opensaml.xacml.policy.impl with parameters of type DefaultsType
Modifier and Type
Method
Description
`void`
PolicyTypeImpl.`setPolicyDefaults(DefaultsType defaults)`
Sets the defaults for this policy.
`void`
PolicySetTypeImpl.`setPolicySetDefaults(DefaultsType defaults)`
Sets the defaults for this policy set.